# Transfiya

## Submit a payout by Transfiya in Colombia

<mark style="color:green;">`POST`</mark> `https://sandbox.transfersmile.com/api/payout`

This endpoint allows you to submit a payout by Transfiya in Colombia.

#### Headers

| Name                                            | Type   | Description                         |
| ----------------------------------------------- | ------ | ----------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | SHA256($sorted\_params + $app\_key) |
| AppId<mark style="color:red;">\*</mark>         | String | Your App ID in payout platform      |
| Content-Type<mark style="color:red;">\*</mark>  | String | application/json; charset=UTF-8     |

#### Request Body

| Name                                                 | Type   | Description                                                                                                                  |
| ---------------------------------------------------- | ------ | ---------------------------------------------------------------------------------------------------------------------------- |
| name<mark style="color:red;">\*</mark>               | String | Beneficiary's name, length must between 5 and 100                                                                            |
| account<mark style="color:red;">\*</mark>            | String | <p>Beneficiary's account</p><p>- 1 \~ 13 digits -</p>                                                                        |
| email                                                | String | <p>Beneficiary's email<br>- Max 64, valid email -</p>                                                                        |
| phone                                                | String | <p>Beneficiary's phone</p><p>- Max 15, valid phone -</p>                                                                     |
| document\_type<mark style="color:red;">\*</mark>     | String | Beneficiary [***document type***](#account-type), should be one of CC, CE, PEP                                               |
| document\_id<mark style="color:red;">\*</mark>       | String | Beneficiary document id                                                                                                      |
| account\_type<mark style="color:red;">\*</mark>      | String | Fixed Value: PHONE                                                                                                           |
| amount<mark style="color:red;">\*</mark>             | String | <p>Payout amount, should be an Integer.</p><p>- Min 1,000, Max 10,000,000 COP per transaction -</p>                          |
| fee\_bear<mark style="color:red;">\*</mark>          | String | <p>All fees charge to merchant or beneficiary<br>- One of: merchant, beneficiary -</p>                                       |
| custom\_code<mark style="color:red;">\*</mark>       | String | <p>Merchant's order id</p><p>- Max.50 -</p>                                                                                  |
| method<mark style="color:red;">\*</mark>             | String | Fixed Value: Transfiya                                                                                                       |
| country<mark style="color:red;">\*</mark>            | String | Fixed value: COL, for Colombia                                                                                               |
| arrival\_currency<mark style="color:red;">\*</mark>  | String | <p>Beneficiary's account currency.</p><p>- Fixed Value: COP -</p>                                                            |
| source\_currency<mark style="color:red;">\*</mark>   | String | <p>Merchant's account currency</p><p>-  supported: USD, GBP, EUR, COP -</p>                                                  |
| amount\_type                                         | String | <p>Specify the amount value is fixed for merchant or beneficiary<br>- One of: source\_amount, arrival\_amount(default) -</p> |
| additional\_remark<mark style="color:red;">\*</mark> | String | <p>Additional Remark<br>- Max Length: 40 - </p>                                                                              |
| notify\_url<mark style="color:red;">\*</mark>        | String | Where pagsmile will callback to                                                                                              |

{% tabs %}
{% tab title="200: OK success" %}

```
{
    "code": 200,
    "msg": "success",
    "time": 1628580845,
    "data": {
        "id": "TS202108100734054iRiUZFPXfQBC",
        "custom_code": "custom_code9982674851738108",
        "arrival_amount": "100",
        "arrival_currency": "COL",
        "source_amount": "0.07",
        "source_currency": "USD",
        "status": "IN_PROCESSING"
    }
}
```

{% endtab %}

{% tab title="400: Bad Request bad request" %}

```
{
    "code": 4001000,
    "msg": "invalid parameter",
    "time": 1637224716,
    "data": {
        "err": "error detail message"
    }
}
```

{% endtab %}

{% tab title="401: Unauthorized unauthorized" %}

```
{
    "code": 4004003,
    "msg": "permission denied",
    "time": 1637224716,
    "data": {
        ... ...
    }
}
```

{% endtab %}

{% tab title="500: Internal Server Error fee not configured" %}

```
{
    "code": 5001003,
    "msg": "fee not configured",
    "time": 1637224716,
    "data": {
        ... ...
    }
}
```

{% endtab %}

{% tab title="500: Internal Server Error balance insufficient" %}

```
{
    "code": 5001102,
    "msg": "balance insufficient",
    "time": 1637224716,
    "data": {
        ... ...
    }
}
```

{% endtab %}

{% tab title="500: Internal Server Error system error" %}

```
{
    "code": 5001000,
    "msg": "system error",
    "time": 1637224716,
    "data": {
        "err": "error detail message"
    }
}
```

{% endtab %}
{% endtabs %}

## Example

```
curl --location --request POST 'https://sandbox.transfersmile.com/api/payout' \
--header 'AppId: 94FAC**********************68548' \
--header 'Authorization: d6181db0d6548b94b162e75d095b59147172d914699f83b2bd17951a671b6302' \
--header 'Content-Type: application/json' \
--data-raw '{
    * "name" : "GUILHERME ****** SOUZA",
      "phone" : "570123456789", 
      "email" : "g******me@gmail.com", 
    * "account" : "570123456789", // just for test in sandbox
    * "account_type" : "PHONE",
    * "document_id" : "123456789", // just for test in sandbox, don't use this in production.
    * "document_type" : "CC",
    * "method" : "Transfiya",
    * "custom_code" : "your_order_id", // merchant order id
    * "fee_bear" : "merchant",
    * "amount" : "1000", //Amount must be an integer, the fraction is not supported (e.g. 1000 or 1000.00 is acceptable, but 1000.01 is not)
    * "source_currency" : "COP",
    * "arrival_currency" : "COP",
    * "notify_url" : "https://notify.url",
    * "additional_remark" : "pagsmile payout test",
    * "country": "COL"
}'
```

{% hint style="info" %}
Note:  ***94FAC\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*68548*** is Pagsmile's test App ID for sandbox, and ***d6181db0d6548b94b162e75d095b59147172d914699f83b2bd17951a671b6302*** is authorization token associated with the test App ID.
{% endhint %}

{% hint style="success" %}
In **sandbox** environment, please use 571111111111 as **TransfiYa** *account*, and **PHONE** as *account\_type* for testing REJECTED payout, any other **TransfiYa** account will be success (PAID).
{% endhint %}

## Document Type

<table><thead><tr><th width="249.33333333333331">Name</th><th>Length</th><th>Type</th></tr></thead><tbody><tr><td>CC</td><td>Between 6 to 10</td><td>numeric</td></tr><tr><td>CE</td><td>up to 12</td><td>characters</td></tr><tr><td>PEP</td><td>up to 15</td><td>numeric</td></tr></tbody></table>

## Example of Account

| Account Type | Account      | Description                   |
| ------------ | ------------ | ----------------------------- |
| PHONE        | 570123456789 | numeric, always start with 57 |

## Supported Banks and Wallets

| bank code | bank Name                              |
| --------- | -------------------------------------- |
| 1565      | Superdigital                           |
| 1507      | NEQUI                                  |
| 1801      | Movii                                  |
| 1006      | Banco Itau                             |
| 1062      | Banco Falabella                        |
| 1051      | DAVIVIENDA                             |
| 1551      | DAVIPLATA                              |
| 1566      | Banco Cooperativo Coopcentral Digital  |
| 1069      | Banco Serfinanza                       |
| 1007      | Bancolombia                            |
| 1063      | BANCO FINANDINA                        |
| 1013      | bancobbva                              |
| 1032      | Banco Caja Social                      |
| 1066      | bancocoopcentral                       |
| 1292      | Confiar Cooperativa Financiera         |
| 1040      | BANCO AGRARIO DE COLOMBIA              |
| 1059      | Banco De Las Microfinanzas Bancamia SA |

### Restrictions: <a href="#restrictions" id="restrictions"></a>

According to the service restriction of Transfiya, the following banks are **NOT** supported.

* Banco de Bogota
* Banco AV Villas (**their service is intermittent**)
* Banco de Occidente SA
* Scotiabank Colpatria
* Dale

## How to Activate Transfiya in Colombia

Although each bank has its own specific process, here’s a general step-by-step guide that most banks follow:

1. Download or update your bank’s app

Make sure you have your bank’s mobile application installed and updated.

2. Log in to the banking app

Use your credentials (username and password) to access the app.

3. Look for the Transfiya option

This option is usually found in the “Transfers,” “Payments,” or “Special Services” sections.

4. Link your mobile number

• Select the option to register or activate Transfiya.

• Enter your mobile phone number (it must be the one registered with the bank).

• Some banks may require you to confirm the link using a code sent via SMS.

\_\_\_\_\_

In this link, you can find step-by-step instructions on how to send and receive money through Transfiya.

<https://heyzine.com/flip-book/1a15ffd4bc.html#page/1>
